Admiral
Users

Retrieve a user by ID

GET
/v1/users/{user_id}

Scope: user:read

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer admp_...

In: header

Path Parameters

user_id*user_id

The unique identifier of the user (UUID).

Formatuuid

Response Body

application/json

curl -X GET "https://example.com/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "user": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "email": "string",    "email_verified": true,    "display_name": "string",    "given_name": "string",    "family_name": "string",    "avatar_url": "string",    "created_at": "2023-01-15T01:30:15.01Z",    "updated_at": "2023-01-15T01:30:15.01Z",    "role": "USER_ROLE_UNSPECIFIED",    "status": "USER_STATUS_UNSPECIFIED"  }}